/*
	File:		ASClient.r

	Contains:	xxx put contents here xxx

	Written by:	Kazu Yanagihara

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <3>	 1/27/94	KAZU		Added STR# resource for the authentication extension name.

	To Do:
*/


/*===============================================================================================================

			ASClient.r
		
			Copyright Apple Computer, Inc. 1992-1993
			All rights reserved

===============================================================================================================*/

#include "SysTypes.r"
#include "Types.r"

#ifndef __ASCLIENT__
#include "ASClient.h"
#endif


//______________________________________________________________________________________________________________________
//_________________________________________________ TYPE DEFINITIONS ___________________________________________________
//______________________________________________________________________________________________________________________

type 'LONG' {
	longint;	
};

//______________________________________________________________________________________________________________________

type 'ULNG' {
	unsigned longint;	
};

//______________________________________________________________________________________________________________________
//_________________________________________________________ STR# _______________________________________________________
//______________________________________________________________________________________________________________________

// used by ASImportReporter/ASExportReporter
resource 'STR#' ( rReporterStringID, purgeable ) {
	{
	"MRLW";
	"RPTR";
	"Dummy"
	}
};

//______________________________________________________________________________________________________________________
// used by Update delivery code
resource 'STR#' ( rPboyStringID, purgeable ) {
	{
	"MRLW";
	"<Unknown>";
	"Update results";
	"<AppleSearch Client>";
	"No articles have been added to the server since the last update was delivered.";
	"Searched for Articles newer than ";
	" on ";
	".";
	": ";
	"Retrieved ";
	" article.";
	" articles.";
	" Could not retrieve ";
	" matching article.";
	" matching articles.";
	"Found no new articles matching the search.";
	"This source had no new articles.";
	"Update delivery failed. ";
	"Insufficient disk space to store update.";
	"AppleSearch Communication ran out of memory.";
	"Program error in AppleSearch Communication.";
	"Dummy"
	}
};

//______________________________________________________________________________________________________________________
// used by ASSelectServer() and ASLogon()
resource 'STR#' ( rSelectServerStringID, purgeable ) {
	{
	"Select an AppleSearch server";
	"Enter your password";
	"ASClient";
	"<This Macintosh>";
	"The server was busy.  Please try to logon again.",
	""
	}
};

//______________________________________________________________________________________________________________________
// used by LaunchMyExtension()
resource 'STR#' ( rFileStringID, purgeable ) {
	{
	"AppleSearch Authentication";							// kSI_AuthenticationExtName
	""
	}
};

//______________________________________________________________________________________________________________________
//_______________________________________________________ ULNG _________________________________________________________
//______________________________________________________________________________________________________________________
// timeout value for logon reply = 30 seconds

resource 'ULNG' (rLogonTimeoutTicks, preload) {
	1800
};

//______________________________________________________________________________________________________________________
// timeout value for logoff reply = 3 seconds

resource 'ULNG' (rLogoffTimeoutTicks, preload) {
	180
};

//______________________________________________________________________________________________________________________
// default timeout value for transaction replies = 30 minutes

resource 'ULNG' (rDefaultTimeoutTicks, preload) {
	108000
};

//______________________________________________________________________________________________________________________
// timeout value for tickle reply = max possible w/ signed long = 0x7FFFFFFF

resource 'ULNG' (rTickleTimeoutTicks, preload) {
	2147483647
};

//______________________________________________________________________________________________________________________
// amount of article text to ask for in one request
resource 'ULNG' (rUpdateTextRequestSize, preload) {
	20480
};

//______________________________________________________________________________________________________________________
// amount of disk space to leave free when building updates
resource 'ULNG' (rUpdateExtraDiskSpace, preload) {
	131072
};

//______________________________________________________________________________________________________________________
// amount of disk space to leave free when downloading a file from the server
resource 'ULNG' (rDownloadOriginalDiskSpace, preload) {
	1024
};

//______________________________________________________________________________________________________________________
// flag for auto logon - if bit 0 is set, then do auto logon at startup
resource 'ULNG' (rAutoLogonFlag, preload) {
	kAutoLogonAtBootMask
};

//______________________________________________________________________________________________________________________
//__________________________________________________ COMMENTS FROM 1.0 _________________________________________________
//______________________________________________________________________________________________________________________
/*
	Contains:	Resources used by client C library

		 <7>	93/08/09	JPS		Added rDownloadOriginalDiskSpace. Checked by KAZU.
		 <6>	 7/26/93	KAZU	added copyright notice; checked by RM
		 <5>	 7/23/93	KAZU	changed DarkPassage to ASClient in STR# rSelectServerStringID;
									checked by JPS
		 <4>	93/07/14	JPS		Added rUpdateTextRequestSize and rUpdateExtraDiskSpace ULNG
									resources. Also, added four new Paperboy strings and removed one
									unused Paperboy string.
		 <3>	93/07/09	JPS		Reduced rLogoffTimeoutTicks to 3 seconds and rLogoffTimeoutTicks
									to 30 seconds. Reviewed by RM and KAZU.
		 <2>	 6/10/93	KAZU	added ASSelectServer() related string resources
		 <1>	  6/6/93	KAZU	first checked in
*/
